Commits

Anonymous committed 81b9ef3

first import

Comments (0)

Files changed (17)

+#ifndef TEST_FOOBAR_H
+# define TEST_FOOBAR_H
+
+#include "CLIDSvc/CLASS_DEF.h"
+class Foo{};
+CLASS_DEF( Foo, 8101, 0) 
+class Bar{};
+CLASS_DEF( Bar, 8107, 0) 
+
+#endif // TEST_FOOBAR_H
+/***************************************************************************
+ macro to assert an error condition
+ ----------------------------------
+ ATLAS Collaboration
+ ***************************************************************************/
+
+// $Id: SGassert.h,v 1.1.1.1 2003-04-02 17:09:42 calaf Exp $
+
+
+#ifndef TEST_SGASSERT_H
+# define TEST_SGASSERT_H
+
+#include <cassert>
+#include <iostream>
+
+#define SGASSERT( TRUEEXPR ) assert(TRUEEXPR)
+#define SGASSERTERROR( FALSEEXPR )   \
+    std::cerr << "Now we expect to see an error message:" << std::endl \
+              << "----Error Message Starts--->>" << std::endl; \
+    assert(!FALSEEXPR); \
+    std::cerr<< "<<---Error Message Ends-------" << std::endl
+
+
+#endif // TEST_SGASSERT_H

TestTools/ToyConversionSvc.h

+#ifndef TEST_TOYCONVERSIONSVC_H
+# define TEST_TOYCONVERSIONSVC_H
+
+//<<<<<< INCLUDES                                                       >>>>>>
+#include "GaudiKernel/ConversionSvc.h"
+//<<<<<< PUBLIC DEFINES                                                 >>>>>>
+//<<<<<< PUBLIC CONSTANTS                                               >>>>>>
+//<<<<<< PUBLIC FUNCTIONS                                               >>>>>>
+//<<<<<< FORWARD DECLARATIONS                                           >>>>>>
+template <class TYPE> class SvcFactory;
+//<<<<<< CLASS DECLARATIONS                                             >>>>>>
+
+/** @class ToyConversionSvc 
+ * @brief  a toy that implements IConversionSvc
+ * @author Paolo Calafiura <pcalafiura@lbl.gov> - ATLAS Collaboration
+ * $Id: ToyConversionSvc.h,v 1.1.1.1 2003-04-02 17:09:42 calaf Exp $
+ */
+
+
+class ToyConversionSvc : public ConversionSvc {
+public:
+  static const unsigned char storageType() {
+    static unsigned char _type(0xFF);
+    return _type;
+  }
+
+protected:
+  friend class SvcFactory<ToyConversionSvc>;
+  ToyConversionSvc(const std::string &name, ISvcLocator* svc) :
+    ConversionSvc(name,svc,storageType()) { }
+  
+  virtual ~ToyConversionSvc() {};
+};
+
+
+//<<<<<< INLINE PUBLIC FUNCTIONS                                        >>>>>>
+//<<<<<< INLINE MEMBER FUNCTIONS                                        >>>>>>
+
+#endif // TEST_TOYCONVERSIONSVC_H

TestTools/ToyConverter.h

+#ifndef TEST_TOYCONVERTER_H
+# define TEST_TOYCONVERTER_H
+
+//<<<<<< INCLUDES                                                       >>>>>>
+#include "GaudiKernel/Converter.h"
+#include "GaudiKernel/StatusCode.h"
+
+#include "CLIDSvc/tools/ClassID_traits.h"
+#include "SGTools/StorableConversions.h"
+
+#include "ToyConversionSvc.h"
+
+//<<<<<< PUBLIC DEFINES                                                 >>>>>>
+//<<<<<< PUBLIC CONSTANTS                                               >>>>>>
+//<<<<<< PUBLIC FUNCTIONS                                               >>>>>>
+//<<<<<< FORWARD DECLARATIONS                                           >>>>>>
+template <class Cnv> class CnvFactory;
+//<<<<<< CLASS DECLARATIONS                                             >>>>>>
+/** @class ToyConverter 
+ * @brief  a toy converter template that creates a default instance of DATA
+ * @param  DATA the type to be "converted". Must have a default constructor
+ * @author Paolo Calafiura <pcalafiura@lbl.gov> - ATLAS Collaboration
+ *$Id: ToyConverter.h,v 1.1.1.1 2003-04-02 17:09:42 calaf Exp $
+ */
+
+template <typename DATA>
+class ToyConverter : public Converter {
+public:
+  // tran->per
+  //  StatusCode createRep(DataObject* pO, IOpaqueAddress*& pA);
+
+  // per->tran
+  StatusCode createObj(IOpaqueAddress*, DataObject *& pO) {
+    //could alse get DATA (perhaps as boost::any) from the IOA
+    pO = SG::asStorable(new DATA);
+    return StatusCode::SUCCESS;
+  }
+
+  static const CLID& classID() { return ClassID_traits<DATA>::ID(); }
+
+protected:
+  friend class CnvFactory< ToyConverter<DATA> >;
+  ToyConverter(ISvcLocator* svcloc) : 
+    Converter(storageType(), classID(), svcloc) {}
+
+private:
+  static const unsigned char storageType() {
+    return ToyConversionSvc::storageType();
+  }
+};
+
+
+
+//<<<<<< INLINE PUBLIC FUNCTIONS                                        >>>>>>
+//<<<<<< INLINE MEMBER FUNCTIONS                                        >>>>>>
+#endif // TEST_TOYCONVERTER_H

TestTools/initGaudi.h

+/***************************************************************************
+ minimal gaudi initialization for AthenaServices unit testing
+ ------------------------------------------------------------
+ ATLAS Collaboration
+ ***************************************************************************/
+
+// $Id: initGaudi.h,v 1.1.1.1 2003-04-02 17:09:42 calaf Exp $
+
+#ifndef TEST_INITGAUDI_H
+# define TEST_INITGAUDI_H
+
+#include <string>
+
+class ISvcLocator;
+
+namespace Athena_test {
+  bool initGaudi(ISvcLocator*& pSvcLoc);
+  bool initGaudi(const std::string& jobOptsFile, ISvcLocator*& pSvcLoc);
+}
+#endif // TEST_INITGAUDI_H
+include $(CMTROOT)/src/Makefile.header
+
+include $(CMTROOT)/src/constituents.make
+
+set tempfile=`${CMTROOT}/mgr/cmt build temporary_name -quiet`
+if $status != 0 then
+  set tempfile=/tmp/cmt.$$
+endif
+${CMTROOT}/mgr/cmt -quiet cleanup -csh -pack=TestTools -version=TestTools-00-00-00 -path=/afs/cern.ch/user/c/calaf/scratch0/to610/AtlasTest $* >${tempfile}; source ${tempfile}
+/bin/rm -f ${tempfile}
+
+tempfile=`${CMTROOT}/mgr/cmt build temporary_name -quiet`
+if test ! $? = 0 ; then tempfile=/tmp/cmt.$$; fi
+${CMTROOT}/mgr/cmt -quiet cleanup -sh -pack=TestTools -version=TestTools-00-00-00 -path=/afs/cern.ch/user/c/calaf/scratch0/to610/AtlasTest $* >${tempfile}; . ${tempfile}
+/bin/rm -f ${tempfile}
+

cmt/i686-rh73-gcc32-debug.make

+PATH=$(PYTHONHOME):/afs/cern.ch/sw/contrib/CMT/Grafviz/Linux/bin:$(JDK_HOME)/bin:$(JDK_HOME)/jre/bin:/afs/cern.ch/sw/pgi/pgi32/bin:$(CMTROOT)/$(CMTBIN):`/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/AtlasPolicy/AtlasPolicy-01-03-56/cmt/p.sh`:/usr/local/gcc-alt-3.2/bin:/afs/cern.ch/user/c/calaf/bin:/afs/cern.ch/user/c/calaf/scripts:/afs/cern.ch/atlas/@sys/bin:/afs/cern.ch/atlas/scripts:/usr/sue/bin:/usr/bin:/bin:/usr/bin/X11:/usr/local/bin:/usr/local/bin/X11:/cern/pro/bin:.:/usr/local/lsf/bin:/afs/cern.ch/atlas/software/bin/:/afs/cern.ch/user/l/leggett/bin/scripts:/afs/cern.ch/atlas/software/bin/:/afs/cern.ch/user/l/leggett/bin/scripts:/afs/cern.ch/atlas/software/bin
+CLASSPATH=:$(CMTROOT)/java:$(JDK_HOME)/jre/lib/rt.jar
+cc=gcc
+cdebugflags=$(cdebugflags_s)
+pp_cflags=-Di586
+ccomp=$(cc) -c $(includes) $(cdebugflags) $(cflags) $(pp_cflags)
+clink=$(cc) $(clinkflags)
+ppcmd=-I
+cpp=g++
+cppdebugflags=$(cppdebugflags_s)
+cppflags=      -pthread  -Wno-deprecated -D_GNU_SOURCE -pthread -pipe -ansi -pedantic -W -Wall -Wwrite-strings -Wpointer-arith -Woverloaded-virtual -Wno-long-long  -fPIC -march=pentium -mcpu=pentium
+pp_cppflags=-D_GNU_SOURCE
+cppcomp=$(cpp) -c $(includes) $(cppdebugflags) $(cppflags) $(pp_cppflags)
+cpplinkflags=-Wl,-Bdynamic 
+cpplink=$(cpp) $(cpplinkflags)
+for=g77
+fflags=     -pipe -fno-second-underscore -Wall -W -Wsurprising -fPIC 
+fcomp=$(for) -c $(fincludes) $(fdebugflags) $(fflags) $(pp_fflags)
+flink=$(for) $(flinkflags)
+javacomp=javac
+javacopy=cp
+jar=jar
+X11_cflags=-I/usr/include
+Xm_cflags=-I/usr/include
+X_linkopts=-L/usr/X11R6/lib -lXm -lXt -lXext -lX11 -lm
+lex=lex $(lexflags)
+yaccflags= -l -d 
+yacc=yacc $(yaccflags)
+ar=ar r
+ranlib=ranlib
+make_shlib=$(CMTROOT)/mgr/cmt_make_shlib_common.sh extract
+shlibsuffix=so
+shlibbuilder=g++
+shlibflags=-shared
+symlink=$(AtlasPolicy_root)/src/symlink.sh
+symunlink=/bin/rm -f 
+build_library_links=$(cmtexe) build library_links -quiet -tag=$(tags)
+remove_library_links=$(cmtexe) remove library_links -quiet -tag=$(tags)
+cmtexe=$(CMTROOT)/$(CMTBIN)/cmt.exe
+tags=$(CMTCONFIG),$(CMTEXTRATAGS)
+build_prototype=$(cmtexe) build prototype
+build_dependencies=$(cmtexe) -quiet -tag=$(tags) build dependencies
+build_triggers=$(cmtexe) build triggers
+implied_library_prefix=-l
+SHELL=/bin/sh
+src=../src/
+doc=../doc/
+inc=../src/
+mgr=../cmt/
+application_suffix=.exe
+library_prefix=lib
+lock_command=chmod -R a-w ../*
+unlock_command=chmod -R g+w ../*
+MAKEFLAGS= --no-print-directory  --no-print-directory 
+gmake_hosts=lx1 rsplus lxtest as7 dxplus ax7 hp2 aleph hp1 hpplus papou1-fe atlas
+make_hosts=virgo-control1 rio0a vmpc38a
+everywhere=hosts
+install_command=cp 
+uninstall_command=/bin/rm -f 
+mkdir=mkdir
+dq="
+BINDIR=i686-rh73-gcc32-debug
+cppdebugflags_s=-g
+cppoptimized_s=-O2
+cppprofiled_s=-pg
+cdebugflags_s=-g
+fdebugflags=$(fdebugflags_s)
+fdebugflags_s=-g
+foptimized_s=-O2
+fprofiled_s=-pg
+linkdebugflags=$(linkdebugflags_s)
+makeLinkMap=-Wl,-Map,Linux.map
+componentshr_linkopts=-fPIC  -ldl  
+libraryshr_linkopts=-fPIC -ldl 
+application_linkopts=-Wl,--export-dynamic 
+GAUDI_DIR=$(SITEROOT)/atlas/project/Gaudi
+GAUDI_RELEASE=0.12-beta
+CMTPATH=/afs/cern.ch/user/c/calaf/scratch0/to610:/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5::/afs/cern.ch/atlas/project/Gaudi/0.12-beta
+cmtgrapher_use=cmtgrapher v1 CMT -no_auto_imports
+Graphviz_home=/afs/cern.ch/sw/contrib/CMT/Grafviz/Linux
+DOTFONTPATH=/afs/cern.ch/sw/contrib/CMT/Grafviz/Linux/lib/fonts/ttf
+cmtroot=$(CMTROOT)
+base_URL=http://atlas.web.cern.ch/Atlas/GROUPS/SOFTWARE/OO/dist/
+SRT_TARGET=i586-pc-linux-gnu/gcc-3.2
+cern_apps=$(Graphviz_home)/bin/dot $(Graphviz_home)/bin/lefty $(Graphviz_home)/bin/neato $(CMTGRAPHERROOT)/$(CMTBIN)/cmtshowuses.exe
+use_applications= $(cern_apps)
+kits_dir=cmt/kits
+zip_command=tar
+config_command=cp 
+CxxFeatures_pp_cppflags= -DHAVE_PRETTY_FUNCTION -DHAVE_LONG_LONG -DHAVE_BOOL -DHAVE_EXPLICIT -DHAVE_MUTABLE -DHAVE_SIGNED -DHAVE_TYPENAME -DTYPENAME_IN_BASEDECL -DHAVE_NEW_STYLE_CASTS -DHAVE_DYNAMIC_CAST -DHAVE_TYPEID -DHAVE_ANSI_TEMPLATE_INSTANTIATION -DHAVE_TEMPLATE_DEFAULT_ARGS -DHAVE_BROKEN_TEMPLATE_RESCOPE -DHAVE_TEMPLATE_NULL_ARGS -DHAVE_TEMPLATE_NULL_SPEC -DHAVE_TEMPLATE_PARTIAL_SPEC -DHAVE_MEMBER_TEMPLATES -DHAVE_ANSI_OPERATOR_ARROW -DHAVE_NAMESPACES -DHAVE_NAMESPACE_STD -DHAVE_NEW_IOSTREAMS -DHAVE_OSTREAM_CHAR_OVERLOAD -DHAVE_ITERATOR_TRAITS -DHAVE_ITERATOR -DHAVE_REVERSE_ITERATOR_STYLE -DHAVE_CXX_STDC_HEADERS '-DPACKAGE_VERSION=$(q2)$(version)$(q2)' 
+q2="
+ATLAS_EXTERNAL=$(SITEROOT)/atlas/offline/external
+ATLASTESTDATA=$(SITEROOT)/atlas/offline/data/testfile
+ATLASCALDATA=$(SITEROOT)/atlas/offline/data
+COMMON_PACKAGES=$(SITEROOT)/sw/packages
+f77_linkopts=-lg2c -lnsl -lcrypt -ldl
+PGI=/afs/cern.ch/sw/pgi/pgi32
+f90_inte=/usr/local/lsf/bin
+f90_home=$(PGI)/bin
+for90=pgf90
+f90pp=$(for) -E -P $(fincludes) 
+f90flags=-Mnosecond_underscore -fPIC
+f90ppflags= -pipe -fno-second-underscore -Wall -W -Wsurprising -fPIC 
+f90comp=$(for90) -c $(fincludes) $(f90flags) $(pp_f90flags)
+f90link=$(for90) $(f90linkflags)
+f90_linkopts_linux=$(PGI)/linux86/lib/event_init.o -L$(PGI)/linux86/lib -lpgf90 -lpgf90_rpm1 -lpgf902 -lpgf90rtl -lpgftnrtl -lm -lpgc -lgcc -lc -lgcc -lg2c -lnsl -lcrypt -ldl
+f90_linkopts=$(f90_linkopts_linux)
+FortranFeatures_linkopts=$(f77_linkopts)
+JAVA_SUBDIR=sw/java
+JAVA_BASE=$(SITEROOT)/$(JAVA_SUBDIR)
+JDK_OS=i386_redhat73
+JDK_VENDOR=sun
+JDK_FULL_VERSION=1.4.1
+JDK_HOME=$(JAVA_BASE)/$(JDK_OS)/jdk/$(JDK_VENDOR)-$(JDK_FULL_VERSION)
+JavaSDK_export_paths=$(JAVA_BASE)/$(JDK_OS)/jdk/$(JDK_VENDOR)-$(JDK_FULL_VERSION)
+JavaSDK_native_version=$(JDK_VENDOR)-$(JDK_FULL_VERSION)
+CODEWIZARD_TOP=/pttools/CodeWizard/codewizard
+ARCH=linux2
+CODEWIZARD=$(CODEWIZARD_TOP)/bin.$(ARCH)
+CODECHECK_OUTPUT_DIRECTORY=../CodeCheck
+RULECHECKER=/rulechecker
+CODECHECK_RELEASE_OUTPUT_DIRECTORY=/afs/cern.ch/user/a/albrand/www/CodeCheck
+CODECHECK_STRATEGY=package
+RULECHECKER_SUFFIX=/
+CODEWIZARD_PSRC_FILENAME=psrcPackage
+IRST_DIR=/afs/cern.ch/sw/lcg/contrib/rulechecker
+IRST_CONFIGPATH=$(IRST_DIR)/userConfig/ATLAS
+atlas_checker_command=java -classpath /afs/cern.ch/sw/lcg/contrib/rulechecker rules.ATLAS.ATLASRuleChecker 
+atlas_patch_command=/afs/cern.ch/sw/lcg/contrib/rulechecker/patch/patch4atlas.prl
+GV_home=/afs/cern.ch/sw/contrib/CMT/Grafviz/Linux
+DOXYGEN_OUTPUT_DIRECTORY=$(doc)Doxygen
+DOXYGEN_INPUT=../src ../$(package)
+DOXYGEN_FILE_PATTERNS=*.cxx *.h
+DOXYGEN_EXAMPLE_PATH=../doc
+DOXYGEN_EXAMPLE_PATTERNS=*.cxx
+DOXYGEN_GENERATE_TAGFILE=../doc/$(package).tag
+DOXYGEN_SORT_MEMBER_DOCS=NO
+constituents= TestToolsLib TestTools config 
+LD_LIBRARY_PATH=`/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/AtlasPolicy/AtlasPolicy-01-03-56/cmt/llp.sh`:/usr/local/gcc-alt-3.2/lib:../i686-rh73-gcc32-debug/:/afs/cern.ch/atlas/project/Gaudi/0.12-beta/GaudiKernel/v13r4/$(BINDIR):$(PYTHONHOME):/afs/cern.ch/sw/packages/HTL/1.3.2.1/rh73_gcc32/lib:/afs/cern.ch/sw/packages/CLHEP/1.8.0.0/rh73_gcc32/lib
+remote_launcher=ssh -f 
+install_area_command=$(symlink)
+INSTALLAREA=`/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/AtlasPolicy/AtlasPolicy-01-03-56/cmt/installarea.sh`
+GaudiKernel_linkopts=-L$(GaudiKernelDir) -lGaudiKernel 
+GaudiKernel_stamps=$(GAUDIKERNELROOT)/$(BINDIR)/GaudiKernel.stamp 
+AthenaKernel_linkopts= -L$(bin) -lAthenaKernel  
+AthenaKernel_libraries= AthenaKernel 
+Boost_home=$(COMMON_PACKAGES)/Boost
+Boost_native_version=boost_1_29_0
+Boost_export_paths=$(BOOSTPATH)
+BOOSTPATH=$(Boost_home)/$(Boost_native_version)
+PLATARCHdef=rh73_gcc2952
+PLATARCH=rh73_gcc32
+SWROOT=$(SITEROOT)/sw
+LHCXX_DIR=$(SWROOT)/lhcxx/specific/rh73_gcc32
+EXT_DIR=$(SWROOT)/contrib
+LAL_DIR=$(SWROOT)/contrib
+OPACS_DIR=$(LAL_DIR)/OPACS
+CERNLIB_DIR=/cern/pro
+EXTPACK_DIR=$(SWROOT)/packages
+ROOT_DIR=$(EXTPACK_DIR)/ROOT
+PYTHON_DIR=$(EXTPACK_DIR)/Python
+XERCES_DIR=$(SITEROOT)/atlas/offline/external/xerces-c
+BOOST_DIR=$(EXTPACK_DIR)/Boost
+AIDA_DIR=$(EXTPACK_DIR)/AIDA
+CLHEP_DIR=$(EXTPACK_DIR)/CLHEP
+HTL_DIR=$(EXTPACK_DIR)/HTL
+NAGC_DIR=$(EXTPACK_DIR)/Nag_C
+GSL_DIR=$(EXTPACK_DIR)/GSL
+CERN_DIR=$(EXTPACK_DIR)/cern
+GEANT4_DIR=$(EXTPACK_DIR)/geant4
+PYTHIA_DIR=$(EXTPACK_DIR)/pythia
+PYTHON_native_version=2.2.2
+PYTHON_version=2.2
+PYTHONHOME=$(PYTHON_DIR)/2.2.2/rh73_gcc32
+pyinclude=include/python$(PYTHON_version)
+PYTHONPATH=::$(PYTHONHOME)/Lib:$(PYTHONHOME)/Modules
+PYTHON_linkopts= -L$(PYTHONHOME) -lpython$(PYTHON_version) -lutil -lpthread 
+CLIDSvcLib_files=*.cxx
+CLIDSvc_dependencies= CLIDSvcLib
+CLIDSvc_linkopts= -L$(bin) -lCLIDSvcLib
+CLIDSvc_shlibflags=$(componentshr_linkopts) $(use_linkopts) 
+CLIDSvc_libraries= CLIDSvc CLIDSvcLib
+use_runtime= -s=$(CLIDSvc_root)/share *.py clid.db clid 
+SGTools_linkopts= -L$(bin) -lSGTools  
+SGTools_libraries= SGTools 
+AIDA_native_version=2.2
+AIDAHOME=$(AIDA_DIR)/2.2
+HTL_native_version=1.3.2.1
+HTLBASE=$(HTL_DIR)/$(HTL_native_version)/$(PLATARCH)
+HTL_linkopts=-L$(HTLBASE)/lib -lT_Histoxx
+CLHEP_native_version=1.8.0.0
+CLHEPBASE=$(CLHEP_DIR)/$(CLHEP_native_version)/$(PLATARCH)
+CLHEP_linkopts=-L$(CLHEPBASE)/lib -lCLHEP
+GaudiSvc_linkopts= 
+GaudiSvcShr=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/GaudiSvc/v10r2/i686-rh73-gcc32-debug/libGaudiSvc
+TestToolsLib_files=*.cxx
+TestTools_dependencies= TestToolsLib
+TestTools_linkopts= -L$(bin) -lTestToolsLib
+TestTools_shlibflags=$(componentshr_linkopts) $(use_linkopts) 
+TestTools_libraries= TestTools TestToolsLib
+GaudiPolicyDir=$(GAUDIPOLICYROOT)/$(BINDIR)
+ExternalPolicyDir=$(EXTERNALPOLICYROOT)/$(BINDIR)
+AtlasExternalAreaDir=$(ATLASEXTERNALAREAROOT)/$(BINDIR)
+FortranFeaturesDir=$(FORTRANFEATURESROOT)/$(BINDIR)
+AtlasPolicyDir=$(ATLASPOLICYROOT)/$(BINDIR)
+GaudiKernelDir=$(GAUDIKERNELROOT)/$(BINDIR)
+GaudiInterfaceDir=$(GAUDIINTERFACEROOT)/$(BINDIR)
+AthenaKernelDir=$(ATHENAKERNELROOT)/$(BINDIR)
+BoostDir=$(BOOSTROOT)/$(BINDIR)
+CLIDSvcDir=$(CLIDSVCROOT)/$(BINDIR)
+SGToolsDir=$(SGTOOLSROOT)/$(BINDIR)
+GaudiSvcDir=$(GAUDISVCROOT)/$(BINDIR)
+TestToolsDir=$(TESTTOOLSROOT)/$(BINDIR)
+AtlasPolicy_tagfile=$(AtlasPolicy_root)/doc/AtlasPolicy.tag
+DOXYGEN_TAGFILES=     
+AthenaKernel_tagfile=$(AthenaKernel_root)/doc/AthenaKernel.tag
+CLIDSvc_tagfile=$(CLIDSvc_root)/doc/CLIDSvc.tag
+SGTools_tagfile=$(SGTools_root)/doc/SGTools.tag
+TestTools_tagfile=$(TestTools_root)/doc/TestTools.tag
+tag=i686-rh73-gcc32-debug
+TestTools_tag=$(tag)
+TESTTOOLSROOT=/afs/cern.ch/user/c/calaf/scratch0/to610/AtlasTest/TestTools/TestTools-00-00-00
+PACKAGE_ROOT=$(TESTTOOLSROOT)
+TestTools_root=../../../TestTools/TestTools-00-00-00
+TESTTOOLSVERSION=TestTools-00-00-00
+srcdir=../src
+bin=../$(TestTools_tag)/
+javabin=../classes/
+mgrdir=cmt
+version=TestTools-00-00-00
+package=TestTools
+SGTools_tag=$(tag)
+SGTOOLSROOT=/afs/cern.ch/user/c/calaf/scratch0/to610/Control/SGTools/SGTools-00-00-00
+SGTools_root=../../../../Control/SGTools/SGTools-00-00-00
+SGTOOLSVERSION=SGTools-00-00-00
+CLIDSvc_tag=$(tag)
+CLIDSVCROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/Control/CLIDSvc/CLIDSvc-00-00-03
+CLIDSvc_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/Control/CLIDSvc/CLIDSvc-00-00-03
+CLIDSVCVERSION=CLIDSvc-00-00-03
+AthenaKernel_tag=$(tag)
+ATHENAKERNELROOT=/afs/cern.ch/user/c/calaf/scratch0/to610/Control/AthenaKernel/AthenaKernel-00-00-10
+AthenaKernel_root=../../../../Control/AthenaKernel/AthenaKernel-00-00-10
+ATHENAKERNELVERSION=AthenaKernel-00-00-10
+AtlasPolicy_tag=$(tag)
+ATLASPOLICYROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/AtlasPolicy/AtlasPolicy-01-03-56
+AtlasPolicy_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/AtlasPolicy/AtlasPolicy-01-03-56
+ATLASPOLICYVERSION=AtlasPolicy-01-03-56
+CodeCheck_tag=$(tag)
+CODECHECKROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/Tools/CodeCheck/CodeCheck-01-01-01
+CodeCheck_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/Tools/CodeCheck/CodeCheck-01-01-01
+CODECHECKVERSION=CodeCheck-01-01-01
+JavaSDK_tag=$(tag)
+JAVASDKROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/JavaSDK/JavaSDK-01-04-05
+JavaSDK_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/JavaSDK/JavaSDK-01-04-05
+JAVASDKVERSION=JavaSDK-01-04-05
+FortranFeatures_tag=$(tag)
+FORTRANFEATURESROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/Utilities/FortranFeatures/FortranFeatures-00-00-14
+FortranFeatures_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/Utilities/FortranFeatures/FortranFeatures-00-00-14
+FORTRANFEATURESVERSION=FortranFeatures-00-00-14
+CxxFeatures_tag=$(tag)
+CXXFEATURESROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/Utilities/CxxFeatures/CxxFeatures-00-00-17
+CxxFeatures_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/Utilities/CxxFeatures/CxxFeatures-00-00-17
+CXXFEATURESVERSION=CxxFeatures-00-00-17
+Boost_tag=$(tag)
+BOOSTROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/Boost/Boost-01-03-15
+Boost_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/Boost/Boost-01-03-15
+BOOSTVERSION=Boost-01-03-15
+AtlasExternalArea_tag=$(tag)
+ATLASEXTERNALAREAROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/AtlasExternalArea/AtlasExternalArea-00-00-11
+AtlasExternalArea_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/AtlasExternalArea/AtlasExternalArea-00-00-11
+ATLASEXTERNALAREAVERSION=AtlasExternalArea-00-00-11
+GaudiInterface_tag=$(tag)
+GAUDIINTERFACEROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/GaudiInterface/GaudiInterface-01-03-02
+GaudiInterface_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/GaudiInterface/GaudiInterface-01-03-02
+GAUDIINTERFACEVERSION=GaudiInterface-01-03-02
+ExternalPolicy_tag=$(tag)
+EXTERNALPOLICYROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/ExternalPolicy/ExternalPolicy-00-00-15
+ExternalPolicy_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/ExternalPolicy/ExternalPolicy-00-00-15
+EXTERNALPOLICYVERSION=ExternalPolicy-00-00-15
+GaudiSvc_tag=$(tag)
+GAUDISVCROOT=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/GaudiSvc/v10r2
+GaudiSvc_root=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/GaudiSvc/v10r2
+GAUDISVCVERSION=v10r2
+GaudiKernel_tag=$(tag)
+GAUDIKERNELROOT=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/GaudiKernel/v13r4
+GaudiKernel_root=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/GaudiKernel/v13r4
+GAUDIKERNELVERSION=v13r4
+GaudiPolicy_tag=$(tag)
+GAUDIPOLICYROOT=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/GaudiPolicy/v5r10
+GaudiPolicy_root=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/GaudiPolicy/v5r10
+GAUDIPOLICYVERSION=v5r10
+ExternalComponents_tag=$(tag)
+EXTERNALCOMPONENTSROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/ExternalComponents/ExternalComponents-00-00-20
+ExternalComponents_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/ExternalComponents/ExternalComponents-00-00-20
+EXTERNALCOMPONENTSVERSION=ExternalComponents-00-00-20
+cmtgrapher_tag=$(tag)
+CMTGRAPHERROOT=/afs/cern.ch/sw/contrib/CMT/cmtgrapher/v1
+cmtgrapher_root=/afs/cern.ch/sw/contrib/CMT/cmtgrapher/v1
+CMTGRAPHERVERSION=v1
+Graphviz_tag=$(tag)
+GRAPHVIZROOT=/afs/cern.ch/sw/contrib/CMT/Graphviz/v1
+Graphviz_root=/afs/cern.ch/sw/contrib/CMT/Graphviz/v1
+GRAPHVIZVERSION=v1
+CERNJavaInstallation_tag=$(tag)
+CERNJAVAINSTALLATIONROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/CERNJavaInstallation/CERNJavaInstallation-01-00-10
+CERNJavaInstallation_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/External/CERNJavaInstallation/CERNJavaInstallation-01-00-10
+CERNJAVAINSTALLATIONVERSION=CERNJavaInstallation-01-00-10
+AtlasDoxygen_tag=$(tag)
+ATLASDOXYGENROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/Tools/AtlasDoxygen/AtlasDoxygen-00-00-03
+AtlasDoxygen_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/Tools/AtlasDoxygen/AtlasDoxygen-00-00-03
+ATLASDOXYGENVERSION=AtlasDoxygen-00-00-03
+PYTHON_tag=$(tag)
+PYTHONROOT=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/PYTHON/v3r222p0
+PYTHON_root=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/PYTHON/v3r222p0
+PYTHONVERSION=v3r222p0
+AIDA_tag=$(tag)
+AIDAROOT=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/AIDA/v3r22p0
+AIDA_root=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/AIDA/v3r22p0
+AIDAVERSION=v3r22p0
+HTL_tag=$(tag)
+HTLROOT=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/HTL/v2r1321p0
+HTL_root=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/HTL/v2r1321p0
+HTLVERSION=v2r1321p0
+CLHEP_tag=$(tag)
+CLHEPROOT=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/CLHEP/v2r1800p0
+CLHEP_root=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/CLHEP/v2r1800p0
+CLHEPVERSION=v2r1800p0
+ExternalLibs_tag=$(tag)
+EXTERNALLIBSROOT=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/ExternalLibs/v4r0p1
+ExternalLibs_root=/afs/cern.ch/atlas/project/Gaudi/0.12-beta/ExternalLibs/v4r0p1
+EXTERNALLIBSVERSION=v4r0p1
+TestPolicy_tag=$(tag)
+TESTPOLICYROOT=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/TestPolicy/TestPolicy-00-00-08
+TestPolicy_root=/afs/cern.ch/atlas/software/dist/nightlies/reldev/atlrel_5/TestPolicy/TestPolicy-00-00-08
+TESTPOLICYVERSION=TestPolicy-00-00-08
+use_requirements=requirements $(CMTROOT)/mgr/requirements $(SGTOOLSROOT)/cmt/requirements $(CLIDSVCROOT)/cmt/requirements $(ATHENAKERNELROOT)/cmt/requirements $(ATLASPOLICYROOT)/cmt/requirements $(CODECHECKROOT)/cmt/requirements $(JAVASDKROOT)/cmt/requirements $(FORTRANFEATURESROOT)/cmt/requirements $(CXXFEATURESROOT)/cmt/requirements $(BOOSTROOT)/cmt/requirements $(ATLASEXTERNALAREAROOT)/cmt/requirements $(GAUDIINTERFACEROOT)/cmt/requirements $(EXTERNALPOLICYROOT)/cmt/requirements $(GAUDISVCROOT)/cmt/requirements $(GAUDIKERNELROOT)/cmt/requirements $(GAUDIPOLICYROOT)/cmt/requirements $(EXTERNALCOMPONENTSROOT)/cmt/requirements $(CMTGRAPHERROOT)/cmt/requirements $(GRAPHVIZROOT)/cmt/requirements $(CERNJAVAINSTALLATIONROOT)/cmt/requirements $(ATLASDOXYGENROOT)/cmt/requirements $(PYTHONROOT)/cmt/requirements $(AIDAROOT)/cmt/requirements $(HTLROOT)/cmt/requirements $(CLHEPROOT)/cmt/requirements $(EXTERNALLIBSROOT)/cmt/requirements $(TESTPOLICYROOT)/cmt/requirements 
+use_includes= $(ppcmd)"$(SGTools_root)" $(ppcmd)"$(CLIDSvc_root)" $(ppcmd)"$(AthenaKernel_root)" $(ppcmd)"$(CodeCheck_root)/src" $(ppcmd)"$(JavaSDK_root)/src" $(ppcmd)"$(CxxFeatures_root)/src" $(ppcmd)"$(BOOSTPATH)" $(ppcmd)"$(GAUDIKERNELROOT)" $(ppcmd)"$(CERNJavaInstallation_root)/src" $(ppcmd)"$(TestPolicy_root)/src" 
+use_fincludes= $(use_includes)
+use_stamps= $(TestTools_stamps)  $(SGTools_stamps)  $(CLIDSvc_stamps)  $(AthenaKernel_stamps)  $(AtlasPolicy_stamps)  $(CodeCheck_stamps)  $(JavaSDK_stamps)  $(FortranFeatures_stamps)  $(CxxFeatures_stamps)  $(Boost_stamps)  $(AtlasExternalArea_stamps)  $(GaudiInterface_stamps)  $(ExternalPolicy_stamps)  $(GaudiSvc_stamps)  $(GaudiKernel_stamps)  $(GaudiPolicy_stamps)  $(ExternalComponents_stamps)  $(cmtgrapher_stamps)  $(Graphviz_stamps)  $(CERNJavaInstallation_stamps)  $(AtlasDoxygen_stamps)  $(PYTHON_stamps)  $(AIDA_stamps)  $(HTL_stamps)  $(CLHEP_stamps)  $(ExternalLibs_stamps)  $(TestPolicy_stamps) 
+use_cflags=  $(TestTools_cflags)  $(SGTools_cflags)  $(CLIDSvc_cflags)  $(AthenaKernel_cflags)  $(AtlasPolicy_cflags)  $(CodeCheck_cflags)  $(JavaSDK_cflags)  $(FortranFeatures_cflags)  $(CxxFeatures_cflags)  $(Boost_cflags)  $(AtlasExternalArea_cflags)  $(GaudiInterface_cflags)  $(ExternalPolicy_cflags)  $(GaudiKernel_cflags)  $(GaudiPolicy_cflags)  $(ExternalComponents_cflags)  $(CERNJavaInstallation_cflags)  $(AtlasDoxygen_cflags)  $(TestPolicy_cflags) 
+use_pp_cflags=  $(TestTools_pp_cflags)  $(SGTools_pp_cflags)  $(CLIDSvc_pp_cflags)  $(AthenaKernel_pp_cflags)  $(AtlasPolicy_pp_cflags)  $(CodeCheck_pp_cflags)  $(JavaSDK_pp_cflags)  $(FortranFeatures_pp_cflags)  $(CxxFeatures_pp_cflags)  $(Boost_pp_cflags)  $(AtlasExternalArea_pp_cflags)  $(GaudiInterface_pp_cflags)  $(ExternalPolicy_pp_cflags)  $(GaudiKernel_pp_cflags)  $(GaudiPolicy_pp_cflags)  $(ExternalComponents_pp_cflags)  $(CERNJavaInstallation_pp_cflags)  $(AtlasDoxygen_pp_cflags)  $(TestPolicy_pp_cflags) 
+use_cppflags=  $(TestTools_cppflags)  $(SGTools_cppflags)  $(CLIDSvc_cppflags)  $(AthenaKernel_cppflags)  $(AtlasPolicy_cppflags)  $(CodeCheck_cppflags)  $(JavaSDK_cppflags)  $(FortranFeatures_cppflags)  $(CxxFeatures_cppflags)  $(Boost_cppflags)  $(AtlasExternalArea_cppflags)  $(GaudiInterface_cppflags)  $(ExternalPolicy_cppflags)  $(GaudiKernel_cppflags)  $(GaudiPolicy_cppflags)  $(ExternalComponents_cppflags)  $(CERNJavaInstallation_cppflags)  $(AtlasDoxygen_cppflags)  $(TestPolicy_cppflags) 
+use_pp_cppflags=  $(TestTools_pp_cppflags)  $(SGTools_pp_cppflags)  $(CLIDSvc_pp_cppflags)  $(AthenaKernel_pp_cppflags)  $(AtlasPolicy_pp_cppflags)  $(CodeCheck_pp_cppflags)  $(JavaSDK_pp_cppflags)  $(FortranFeatures_pp_cppflags)  $(CxxFeatures_pp_cppflags)  $(Boost_pp_cppflags)  $(AtlasExternalArea_pp_cppflags)  $(GaudiInterface_pp_cppflags)  $(ExternalPolicy_pp_cppflags)  $(GaudiKernel_pp_cppflags)  $(GaudiPolicy_pp_cppflags)  $(ExternalComponents_pp_cppflags)  $(CERNJavaInstallation_pp_cppflags)  $(AtlasDoxygen_pp_cppflags)  $(TestPolicy_pp_cppflags) 
+use_fflags=  $(TestTools_fflags)  $(SGTools_fflags)  $(CLIDSvc_fflags)  $(AthenaKernel_fflags)  $(AtlasPolicy_fflags)  $(CodeCheck_fflags)  $(JavaSDK_fflags)  $(FortranFeatures_fflags)  $(CxxFeatures_fflags)  $(Boost_fflags)  $(AtlasExternalArea_fflags)  $(GaudiInterface_fflags)  $(ExternalPolicy_fflags)  $(GaudiKernel_fflags)  $(GaudiPolicy_fflags)  $(ExternalComponents_fflags)  $(CERNJavaInstallation_fflags)  $(AtlasDoxygen_fflags)  $(TestPolicy_fflags) 
+use_pp_fflags=  $(TestTools_pp_fflags)  $(SGTools_pp_fflags)  $(CLIDSvc_pp_fflags)  $(AthenaKernel_pp_fflags)  $(AtlasPolicy_pp_fflags)  $(CodeCheck_pp_fflags)  $(JavaSDK_pp_fflags)  $(FortranFeatures_pp_fflags)  $(CxxFeatures_pp_fflags)  $(Boost_pp_fflags)  $(AtlasExternalArea_pp_fflags)  $(GaudiInterface_pp_fflags)  $(ExternalPolicy_pp_fflags)  $(GaudiKernel_pp_fflags)  $(GaudiPolicy_pp_fflags)  $(ExternalComponents_pp_fflags)  $(CERNJavaInstallation_pp_fflags)  $(AtlasDoxygen_pp_fflags)  $(TestPolicy_pp_fflags) 
+use_linkopts=  $(TestTools_linkopts)  $(SGTools_linkopts)  $(CLIDSvc_linkopts)  $(AthenaKernel_linkopts)  $(AtlasPolicy_linkopts)  $(CodeCheck_linkopts)  $(JavaSDK_linkopts)  $(FortranFeatures_linkopts)  $(CxxFeatures_linkopts)  $(Boost_linkopts)  $(AtlasExternalArea_linkopts)  $(GaudiInterface_linkopts)  $(ExternalPolicy_linkopts)  $(GaudiKernel_linkopts)  $(GaudiPolicy_linkopts)  $(ExternalComponents_linkopts)  $(CERNJavaInstallation_linkopts)  $(AtlasDoxygen_linkopts)  $(TestPolicy_linkopts) 
+use_libraries= $(SGTools_libraries)  $(CLIDSvc_libraries)  $(AthenaKernel_libraries)  $(AtlasPolicy_libraries)  $(CodeCheck_libraries)  $(JavaSDK_libraries)  $(FortranFeatures_libraries)  $(CxxFeatures_libraries)  $(Boost_libraries)  $(AtlasExternalArea_libraries)  $(GaudiInterface_libraries)  $(ExternalPolicy_libraries)  $(GaudiSvc_libraries)  $(GaudiKernel_libraries)  $(GaudiPolicy_libraries)  $(ExternalComponents_libraries)  $(cmtgrapher_libraries)  $(Graphviz_libraries)  $(CERNJavaInstallation_libraries)  $(AtlasDoxygen_libraries)  $(PYTHON_libraries)  $(AIDA_libraries)  $(HTL_libraries)  $(CLHEP_libraries)  $(ExternalLibs_libraries)  $(TestPolicy_libraries) 
+includes= $(ppcmd)"$(TestTools_root)" $(use_includes)
+fincludes= $(includes)
+TestToolsLib_use_linkopts=  $(TestTools_linkopts)  $(SGTools_linkopts)  $(CLIDSvc_linkopts)  $(AthenaKernel_linkopts)  $(AtlasPolicy_linkopts)  $(CodeCheck_linkopts)  $(JavaSDK_linkopts)  $(FortranFeatures_linkopts)  $(CxxFeatures_linkopts)  $(Boost_linkopts)  $(AtlasExternalArea_linkopts)  $(GaudiInterface_linkopts)  $(ExternalPolicy_linkopts)  $(GaudiKernel_linkopts)  $(GaudiPolicy_linkopts)  $(ExternalComponents_linkopts)  $(CERNJavaInstallation_linkopts)  $(AtlasDoxygen_linkopts)  $(TestPolicy_linkopts) 
+TestTools_use_linkopts=  $(TestTools_linkopts)  $(SGTools_linkopts)  $(CLIDSvc_linkopts)  $(AthenaKernel_linkopts)  $(AtlasPolicy_linkopts)  $(CodeCheck_linkopts)  $(JavaSDK_linkopts)  $(FortranFeatures_linkopts)  $(CxxFeatures_linkopts)  $(Boost_linkopts)  $(AtlasExternalArea_linkopts)  $(GaudiInterface_linkopts)  $(ExternalPolicy_linkopts)  $(GaudiKernel_linkopts)  $(GaudiPolicy_linkopts)  $(ExternalComponents_linkopts)  $(CERNJavaInstallation_linkopts)  $(AtlasDoxygen_linkopts)  $(TestPolicy_linkopts) 
+all_constituents= $(constituents)
+constituentsclean= configclean TestToolsclean TestToolsLibclean 
+all_constituentsclean= $(constituentsclean)
+RuleChecker_constituents= TestToolsChk 
+RuleChecker_constituentsclean= TestToolsChkclean 
+install_constituents= install_readme 
+install_constituentsclean= install_readmeclean 
+codewizard_constituents= TestToolscwreport 
+codewizard_constituentsclean= TestToolscwreportclean 
+rulechecker_constituents= TestToolsrchk 
+rulechecker_constituentsclean= TestToolsrchkclean 
+doxygen_constituents= doxygenTestTools 
+doxygen_constituentsclean= doxygenTestToolsclean 
+ctest_constituents= myctest 
+ctest_constituentsclean= myctestclean 
+package TestTools
+author Paolo Calafiura   <Paolo.Calafiura@cern.ch>
+
+use AtlasPolicy    AtlasPolicy-01-*
+
+#need CLASS_DEF.h and ClassID_traits.h
+use CLIDSvc        CLIDSvc-*           Control
+#need StorableConversions.h
+use SGTools        SGTools-*           Control
+
+use GaudiInterface GaudiInterface-01-* External 
+
+#setup LD_LIBRARY_PATH
+use GaudiSvc       v*                            -no_auto_imports
+
+apply_pattern dual_use_library files=*.cxx
+
+use TestPolicy      TestPolicy-00-*
+pattern UnitTest_run \
+	application <unit_test>_test -group=check ../test/<unit_test>_test.cxx ; \
+	document athenarun_launcher <unit_test>_utest -group=check \
+        athenarun_exe="'../${CMTCONFIG}/<unit_test>_test.exe'" \
+        athenarun_pre="'source ../cmt/setup.sh'" \
+        athenarun_opt="" \
+        athenarun_out="' >& <unit_test>_test.log'" \
+        athenarun_post="'source ${TESTTOOLSROOT}/share/post.sh <unit_test>_test'"
+
+
+# echo "Setting TestTools TestTools-00-00-00 in /afs/cern.ch/user/c/calaf/scratch0/to610/AtlasTest"
+
+setenv CMTROOT /afs/cern.ch/sw/contrib/CMT/v1r12p20020606
+source ${CMTROOT}/mgr/setup.csh
+
+set tempfile=`${CMTROOT}/mgr/cmt build temporary_name -quiet`
+if $status != 0 then
+  set tempfile=/tmp/cmt.$$
+endif
+${CMTROOT}/mgr/cmt -quiet setup -csh -pack=TestTools -version=TestTools-00-00-00 -path=/afs/cern.ch/user/c/calaf/scratch0/to610/AtlasTest $* >${tempfile}; source ${tempfile}
+/bin/rm -f ${tempfile}
+
+# echo "Setting TestTools TestTools-00-00-00 in /afs/cern.ch/user/c/calaf/scratch0/to610/AtlasTest"
+
+CMTROOT=/afs/cern.ch/sw/contrib/CMT/v1r12p20020606; export CMTROOT
+. ${CMTROOT}/mgr/setup.sh
+
+tempfile=`${CMTROOT}/mgr/cmt build temporary_name -quiet`
+if test ! $? = 0 ; then tempfile=/tmp/cmt.$$; fi
+${CMTROOT}/mgr/cmt -quiet setup -sh -pack=TestTools -version=TestTools-00-00-00 -path=/afs/cern.ch/user/c/calaf/scratch0/to610/AtlasTest $* >${tempfile}; . ${tempfile}
+/bin/rm -f ${tempfile}
+

share/ToyConversionOpts.txt

+// add ToyConversionSvc and its converters
+
+// $Id: ToyConversionOpts.txt,v 1.1.1.1 2003-04-02 17:09:42 calaf Exp $
+
+ApplicationMgr.DLLs += {"TestTools"};
+ApplicationMgr.ExtSvc += { "ToyConversionSvc" };
+EventPersistencySvc.CnvServices += { "ToyConversionSvc" };
+#!/bin/sh
+test=$1
+if [ -z "$status" ]
+    then
+    echo "Warning: athena exit status is not available"
+else 
+    # check exit status
+    joblog=${test}.log
+    if [ "$status" = 0 ]
+	then 
+	echo " OK: ${test} exited normally. Output is in $joblog "
+	reflog=../share/${test}.ref
+	if [ -r $reflog ]
+	    then
+	    echo "Now comparing output with reference"
+	    diff -a -b -B -I " 0x" -I "package version" -I "\$Id: post.sh,v 1.1.1.1 2003-04-02 17:09:42 calaf Exp $joblog $reflog 
+	    diffStatus=$?
+	    if [ $diffStatus != 0 ] 
+		then
+		echo " ERROR: $joblog and $reflog differ "
+		exit $diffStatus
+	    else
+		echo " OK: $joblog and $reflog identical "
+	    fi
+	else
+	    tail $joblog
+	    echo " WARNING: reference output $reflog not available "
+	    echo  "Please check ${PWD}/$joblog"
+	fi
+    else
+	tail $joblog
+	echo  " ERROR: Athena exited abnormally! Exit code: $status "
+	echo  "Please check ${PWD}/$joblog"
+    fi
+fi
+exit $status

src/components/TestTools_entries.cxx

+#include "TestTools/FooBar.h"
+#include "TestTools/ToyConversionSvc.h"
+#include "TestTools/ToyConverter.h"
+
+typedef ToyConverter<Foo> ToyCnvFoo;
+typedef ToyConverter<Bar> ToyCnvBar;
+
+#include "GaudiKernel/DeclareFactoryEntries.h"
+DECLARE_FACTORY_ENTRIES( TestTools ) {
+  DECLARE_SERVICE( ToyConversionSvc );
+  DECLARE_CONVERTER( ToyCnvFoo );
+  DECLARE_CONVERTER( ToyCnvBar );
+}
+DECLARE_SERVICE_FACTORY( ToyConversionSvc );
+DECLARE_CONVERTER_FACTORY( ToyCnvFoo );
+DECLARE_CONVERTER_FACTORY( ToyCnvBar );

src/components/TestTools_load.cxx

+#include "GaudiKernel/LoadFactoryEntries.h"
+LOAD_FACTORY_ENTRIES( TestTools )
+/***************************************************************************
+ minimal gaudi initialization for AthenaServices unit testing
+ ------------------------------------------------------------
+ ATLAS Collaboration
+ ***************************************************************************/
+
+// $Id: initGaudi.cxx,v 1.1.1.1 2003-04-02 17:09:42 calaf Exp $
+
+//<<<<<< INCLUDES                                                       >>>>>>
+
+#include "TestTools/initGaudi.h"
+
+#include "GaudiKernel/Bootstrap.h"
+#include "GaudiKernel/IProperty.h"
+#include "GaudiKernel/ISvcManager.h"
+#include "GaudiKernel/ISvcLocator.h"
+#include "GaudiKernel/IAppMgrUI.h"
+#include "GaudiKernel/SmartIF.h"
+using namespace std;
+
+namespace Athena_test {
+  bool initGaudi(ISvcLocator*& pSvcLoc) {
+    return initGaudi(string(), pSvcLoc); //wily hack
+  }
+  bool initGaudi(const string& jobOptsFile, ISvcLocator*& pSvcLoc) {
+    string jobOptsPath("../share/"+jobOptsFile);
+    bool noJobOpts(jobOptsFile.empty());
+    if (!noJobOpts) {
+      cout << "\n\nInitializing Gaudi ApplicationMgr using job opts " << jobOptsPath << endl;
+    }
+
+    // Create an instance of an application manager
+    IInterface* iface = Gaudi::createApplicationMgr();
+    if( 0 == iface ) {
+      cout << "Fatal error while creating the ApplicationMgr " << endl;
+      return false;
+    }
+
+    SmartIF<ISvcManager> svcMgr(IID_ISvcManager, iface);
+    SmartIF<IAppMgrUI> appMgr(IID_IAppMgrUI, iface);
+    SmartIF<IProperty> propMgr ( IID_IProperty, iface );
+    SmartIF<ISvcLocator> svcLoc ( IID_ISvcLocator, iface );
+    if(!svcLoc.isValid() || !appMgr.isValid() || !svcMgr.isValid() || !propMgr.isValid()) {
+      cout << "Fatal error while creating the AppMgr smart if " << endl;
+      return false;
+    }
+
+    pSvcLoc = svcLoc.pRef();
+
+    //    propMgr->setProperty( "DLLs", "['StoreGate']" );
+    //    string services("['ActiveStoreSvc']");
+    //    cout << "adding services " << services << endl;
+    //    propMgr->setProperty( "ExtSvc", services );
+    propMgr->setProperty( "EvtSel",         "NONE" );
+    if (noJobOpts) {
+      propMgr->setProperty( "JobOptionsType", "NONE" );
+    } else {
+      propMgr->setProperty( "JobOptionsType", "FILE" );
+      propMgr->setProperty( "JobOptionsPath", jobOptsPath );
+    }
+
+    appMgr->configure();
+    if ((appMgr->initialize()).isSuccess()) {
+      cout<<"ApplicationMgr Ready"<<endl;
+    } else {
+      cout << "Fatal error while initializing the AppMgr" << endl;
+      return false;
+    }
+    return true;
+  }
+}
+
+